Active API keys of a workspace
GET
/api/v1/workspaces/{workspaceId}/api-keys
const url = 'https://api.crossmart.io/api/v1/workspaces/example/api-keys';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.crossmart.io/api/v1/workspaces/example/api-keysParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
id
required
string format: uuid
name
required
string
role
required
string
customRole
required
The workspace’s own role, when role is CUSTOM
object
id
required
string format: uuid
name
required
string
prefix
required
The first characters of the key, to tell keys apart
string
lastUsedAt
required
string format: date-time
expiresAt
required
string format: date-time
createdAt
required
string format: date-time
Example
[ { "role": "OWNER" }]